Subject: [bug#29468] [PATCH 2/2] gnu: Patch udisks to directly reference cryptsetup and parted.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 27 Nov 2017 15:09:47 +0100

Christopher Baines <[email-masked]> skribis:

> This fixes some functionality in gnome-disks, which uses udisks. Adding
> cryptsetup enables creating partitions using LUKS, and adding parted enables
> editing the partition tables through the disks application.
>
> * gnu/packages/freedesktop.scm (udisks)[inputs]: Add cryptsetup and parted.
>   (arguments): Rename set-mount-file-name phase, and add cryptsetup and
>   parted.

I think the explanation above should be a comment, but otherwise LGTM.

Thanks for fixing it!

Ludo’.